%define name pkg-converter
%define version 0.1.2
%define release %mkrel 2

Summary:	Pkg Converter
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.pclinuxos.com/
Group:		System/Configuration/Packaging
License:	GPLv3
Source0:	%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	yad
Requires:   alien
Requires:   rpm-build
Obsoletes:	%name < %version

%description
A quick and simple drag & drop gui for converting 
debian packages to rpms with alien.

%prep

%setup -q

%make 

%build

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
 --dir %buildroot%{_datadir}/applications \
       %buildroot%{_datadir}/applications/*.desktop
       install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS ChangeLog LICENSE
%_bindir/%{name}
%_datadir/%{name}
%_datadir/applications/%{name}.desktop
%_datadir/icons/hicolor/48x48/apps/%{name}.svg

%changelog
* Sat Apr 08 2023 Ken <lxgator at gmail.com> 0.1.2-1pclos2023
- Add deps rpm-build

* Sat Oct 09 2021 Ken <lxgator at gmail.com> 0.1.2-1pclos2021
- Update to 0.1.2

* Sat Mar 23 2019 Ken <lxgator at gmail.com> 0.1.1-1pclos2019
- Update to 0.1.1

* Sun Dec 18 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- Create pkg

